<!-- 
    proposito: Crear la vista del componente para mostrar formulario de crear/editar cliente
    Autor: Luisa.sanchez
 -->
<div class="container-fluid h-100 w-100">
    <div class="row">
        <!-- Inicio: cabecera del contenedor -->
        <div class="col-12 bg-sections border-sections pt-3 pb-3 mb-3">
            <div class="row">
                <!-- Inicio: guia de ruta -->
                <div class="col-11">
                    <span class="h3 text-menu header-weight pl-2">Clientes > {{ !id ? 'Nuevo cliente' : 'Actualizar cliente'}}</span>
                </div>
                <!-- Fin: guia de ruta -->
                <!-- Inicio: boton de regreso -->
                <div class="col-1">
                    <button class="w-100 standar-button pt-2 pb-2" [routerLink]="['/clients']"> <i class="fa fa-arrow-left standar-icon-button"></i></button>
                </div>
                <!-- Inicio: boton de regreso -->
            </div>
        </div>
        <!-- Fin: cabecera del contenedor -->
        <div class="col-12 bg-sections border-sections w-100 p-5">
            <!-- Inicio: formulario de crear cliente -->
            <form #clienteInputForm="ngForm" class="form" role=form [formGroup]="clienteForm" (ngSubmit)="guardarCliente()">
                <div class="row">
                    <!-- Inicio: titulo de seccion -->
                    <div class="col-3">
                        <span class="h3 text-menu">Información básica</span>
                    </div>
                    <!-- Fin: titulo de seccion -->
                    <!-- Inicio: campos de formulario -->
                    <div class="col-9 pt-5 pb-5 margin-container-bottom">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-3 pt-1">
                                            <label>Id cliente:</label>
                                        </div>
                                        <div class="col-5">
                                            <input type="text" class="form-control" formControlName="campoId">
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-3 pt-1">
                                            <label>Nombre de cliente:</label>
                                        </div>
                                        <div class="col-9">
                                            <input type="text" class="form-control" formControlName="campoNombre">
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                    <!-- Fin: campos de formulario -->
                    <!-- Inicio: botones de accion de formulario -->
                    <div class="col-12 pt-3">
                        <div class="d-flex flex-row-reverse">
                            <div class="linea col-lg-4"><button type="submit" class="btn w-100 pt-2 pb-2 standar-button" [disabled]="!clienteInputForm.valid"><span class="pl-1" >Guardar</span></button></div>
                            <div class=" col-lg-4 linea"><button type="button" class="btn w-100 pt-2 pb-2 ml-2 standar-button-cancel" [routerLink]="['/clients']"><span class="pl-1">Cancelar</span></button></div>
                        </div>
                    </div>
                    <!-- Fin: botones de accion de formulario -->
                </div>
            </form>
            <!-- Fin: formulario de crear cliente -->
        </div>
    </div>
</div>